//Einbinden der Bibliothek für die serielle Kommunikation
//über andere digitale Pins als wie D0 & D1
#include <SoftwareSerial.h>
//externe Datei mit der Funktion zum auslesen der Daten von
//den Joysticks
#include "joystick.h"

//initialisieren eines SoftwareSerial Objektes
//mit RX 12 und TX 13
SoftwareSerial softwareSerial(12, 13);

void setup() {
  //begin der seriellen Kommunikation mit 9600 baud
  softwareSerial.begin(9600);
}

void loop() {
  //Wenn Daten an der seriellen Schnittstelle anliegen,
  //dann ...
  if (softwareSerial.available() > 0) {
    //auslesen der Daten von der seriellen Schnittstelle,
    //als gesamte Zeile
    String data = softwareSerial.readString();
    //Entfernen der unnötigen Leerzeichen, Leerzeilen am Anfang
    //und Ende der Daten.
    data.trim();
    //Wenn der Wert "get" in der Variable data steht, dann...
    if (data == "get") {
      //Auslesen der aktuellen Daten der Joysticks und
      //senden über die SoftwareSerial Schnittstelle
      softwareSerial.println(getJoyStickValues());
      //Die Zeile wird mit einem Zeilenumbruch beendet!
    }
  }
}
